
//  Suurin.cs  (c) 2005 Kari Laitinen

//  http://www.naturalprogramming.com

//  2005-01-16  Tiedosto luotu.
//  2005-01-16  Viimeisin muutos.

using  System ;

class Suurin
{
   static void etsi_suurin_luku( int[] lukutaulukko,
                                 int   lukujen_maara_taulukossa,

                                 out int suurin_luku )
   {
      suurin_luku         =  lukutaulukko[ 0 ] ;
      int  luvun_indeksi  =  1 ;

      while (  luvun_indeksi  <  lukujen_maara_taulukossa  )
      {
         if ( lukutaulukko[ luvun_indeksi ] > suurin_luku )
         {
            suurin_luku  =  lukutaulukko[ luvun_indeksi ] ;
         }

         luvun_indeksi   ++  ;
      }
   }

   static void Main()
   {
      int[]  ensimmainen_taulukko  =  { 44, 2, 66, 33, 9 } ;
      int[]  toinen_taulukko  =  { 888, 777, 66, 999, 998, 997 } ;

      int  loydetty_suurin_luku  ;

      etsi_suurin_luku( ensimmainen_taulukko, 5,
                        out loydetty_suurin_luku ) ;

      Console.Write( "\n Suurin luku ensimmaisessa taulukossa on "
                     +  loydetty_suurin_luku  +  ".\n" ) ;

      etsi_suurin_luku( toinen_taulukko, 6,
                        out loydetty_suurin_luku ) ;

      Console.Write( "\n Suurin luku toisessa taulukossa on "
                     +  loydetty_suurin_luku  +  ".\n" ) ;
   }
}


